> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/new-uddatetime.md).

# New-UDDateTime

### Synopsis

This date and time component is used for formatting dates and times using the user's browser settings.

### Syntax

```powershell
New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-LocalizedFormat <String>] [-Locale <String>] [<CommonParameters>]

    New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-Format <String>] [-Locale <String>] [<CommonParameters>]
```

### Description

This date and time component is used for formatting dates and times using the user's browser settings. Since Universal Dashboard PowerShell scripts run within the server, the date and time settings of the user's system are not taken into account. This component formats date and time within the client's browser to take into account their locale and time zone.

### Parameters

#### -Id

The ID of this component.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -InputObject

The date and time object to format.

```
Required?                    false
Position?                    1
Default value                (Get-Date)
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Format

The format of the date and time. This component uses Day.JS. You can learn more about formatting options on their documentation: <https://day.js.org/docs/en/display/format>

```
Required?                    false
Position?                    named
Default value                DD/MM/YYYY
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LocalizedFormat

The localized format for the date and time. Use this format if you would like to take the user's browser locale and time zone settings into account.

```
Required?                    false
Position?                    named
Default value                LLL
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

The locale to use when formatting the date time. Defaults to not set.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Outputs

\-------------------------- EXAMPLE 1 --------------------------

```
PS >New-UDDateTime -InputObject (Get-Date) -Format 'DD/MM/YYYY' -Id 'dateTime1'

Formats a date and time using the format 'DD/MM/YYYY'




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDDateTime -InputObject (Get-Date) -LocalizedFormat 'LLL' -Id 'dateTime2'

Localized Format|Formats a date and time using the localized format 'LLL'




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDDateTime -InputObject (Get-Date) -Locale 'es' -Id 'dateTime3'

Locale|Formats a date and time using the locale 'es'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/new-uddatetime.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
